Description

Wszystkie potaczenia websocketowe powinny by¢ monitorowane i podtgczane ponownie w przypadku braku potaczenia. Jezeli
nawigzanie potgczenia sie nie uda, ponowna proba powinna mie¢ miejsce za {jupiter.websocket.reconnect} sekund.
Monitoring websocketa powinien polegac na sprawdzeniu co {jupiter.websocket.check} s, czy potaczenie jest aktywne.

Associated revisions

Revision 24997931 - 2017-04-19 09:03 - Michat Komar

refs #1647: Dodanie ponownego podtaczania websocketow
Dodtkowo:

- zmiana nazwy websocketa dla dokumentéw z tree na document

- poprawienie faczenia websocketdw, zeby nie otwieraé zbyt duzej liczby
potaczen

History

#1 - 2017-04-18 13:11 - Michat Komar
- Status changed from Nowy to W toku

#2 - 2017-04-19 09:04 - Michat Komar

- Status changed from W toku to Testowanie

- Assignee changed from Michat Komar to tukasz Waskiewicz
- % Done changed from 0 to 100

Najlepiej przetestowac lokalnie, wytaczajac serwer i uruchamiajgc go ponownie. Websocket powinien sie na nowo podtaczy¢ i zasubskrybowaé topic -
w logach bedzie widaé.

#3 - 2017-04-24 12:40 - Lukasz Waskiewicz
- Status changed from Testowanie to Rozwigzany
- Assignee changed from tukasz Waskiewicz to Michat Komar

OK

#4 - 2017-06-06 11:56 - Michat Komar
- Status changed from Rozwigzany to Zamkniety

2024-05-20 1/1




